import { BaseApiTemplateService } from "../shared/base-api-template-service.model";
import { HttpClient } from "@angular/common/http";
import { WmsContainerModel } from "../../../../../models/aggregates/warehouse/index";
import { ApiVisa } from '../shared';
import { ApiResponseModel } from '../shared/api-response.model';
import { Observable } from 'rxjs';
export declare class WarehouseContainerService extends BaseApiTemplateService<WmsContainerModel> {
    constructor(http: HttpClient);
    getByCriteriaPost(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    generateContainerLabel(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getContainersForAllocation(visa: ApiVisa): Observable<ApiResponseModel<any>>;
    createMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateMulti(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    deleteMulti(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
